package com.bankaudit.report.v3.dto;

import java.util.List; 

public class CheckListDto {

	private String sequenceNumber;
	private String sequenceNumberChecklist;
	private String sequenceNumberStandardStmt;
	private String sequenceNumberRemarks;
	private String sequenceNumberBankRemarks;
	private String sequenceNumberScrutinyRemarks;
	private String findingCode; 
	private String mappingId;	
	private String isComplied;

	private String checklist;
	private String standardStatement;
	private String remarks;
	private List<String> bankRemarks;
	private List<String> scrutinyRemarks;	
	private List<String> statements;
	
	private String checklistHindi;
	private String standardStatementHindi;
	private String remarksHindi;
	private List<String> bankRemarksHindi;
	private List<String> scrutinyRemarksHindi;	
	private List<String> statementsHindi;
	
	//used to insert data into report master table	
	private String statementId;
	private String applicableFor;
	private String statementType; 
	private String statementTableIOInput; 
	private String auditGroupCode; 
	private String auditGroupName;
	private String auditSubGroupCode;
	private String auditSubGroupName;
	private String activityCode; 
	private String activityName;
	private String processCode;
	private String processName;	


	public String getSequenceNumber() {
		return sequenceNumber;
	}

	public void setSequenceNumber(String sequenceNumber) {
		this.sequenceNumber = sequenceNumber;
	}

	public String getSequenceNumberChecklist() {
		return sequenceNumberChecklist;
	}

	public void setSequenceNumberChecklist(String sequenceNumberChecklist) {
		this.sequenceNumberChecklist = sequenceNumberChecklist;
	}

	public String getSequenceNumberStandardStmt() {
		return sequenceNumberStandardStmt;
	}

	public void setSequenceNumberStandardStmt(String sequenceNumberStandardStmt) {
		this.sequenceNumberStandardStmt = sequenceNumberStandardStmt;
	}

	public String getSequenceNumberRemarks() {
		return sequenceNumberRemarks;
	}

	public void setSequenceNumberRemarks(String sequenceNumberRemarks) {
		this.sequenceNumberRemarks = sequenceNumberRemarks;
	}
	
	public String getSequenceNumberBankRemarks() {
		return sequenceNumberBankRemarks;
	}

	public void setSequenceNumberBankRemarks(String sequenceNumberBankRemarks) {
		this.sequenceNumberBankRemarks = sequenceNumberBankRemarks;
	}

	public String getSequenceNumberScrutinyRemarks() {
		return sequenceNumberScrutinyRemarks;
	}

	public void setSequenceNumberScrutinyRemarks(String sequenceNumberScrutinyRemarks) {
		this.sequenceNumberScrutinyRemarks = sequenceNumberScrutinyRemarks;
	}

	public String getFindingCode() {
		return findingCode;
	}

	public void setFindingCode(String findingCode) {
		this.findingCode = findingCode;
	}

	public String getChecklist() {
		return checklist;
	}

	public void setChecklist(String checklist) {
		this.checklist = checklist;
	}

	public String getIsComplied() {
		return isComplied;
	}

	public void setIsComplied(String isComplied) {
		this.isComplied = isComplied;
	}
	
	public String getStandardStatement() {
		return standardStatement;
	}

	public void setStandardStatement(String standardStatement) {
		this.standardStatement = standardStatement;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	
	public List<String> getBankRemarks() {
		return bankRemarks;
	}

	public void setBankRemarks(List<String> bankRemarks) {
		this.bankRemarks = bankRemarks;
	}

	public List<String> getScrutinyRemarks() {
		return scrutinyRemarks;
	}

	public void setScrutinyRemarks(List<String> scrutinyRemarks) {
		this.scrutinyRemarks = scrutinyRemarks;
	}

	public List<String> getStatements() {
		return statements;
	}

	public void setStatements(List<String> statements) {
		this.statements = statements;
	}

	public String getMappingId() {
		return mappingId;
	}

	public void setMappingId(String mappingId) {
		this.mappingId = mappingId;
	}

	public String getChecklistHindi() {
		return checklistHindi;
	}

	public void setChecklistHindi(String checklistHindi) {
		this.checklistHindi = checklistHindi;
	}

	public String getStandardStatementHindi() {
		return standardStatementHindi;
	}

	public void setStandardStatementHindi(String standardStatementHindi) {
		this.standardStatementHindi = standardStatementHindi;
	}

	public String getRemarksHindi() {
		return remarksHindi;
	}

	public void setRemarksHindi(String remarksHindi) {
		this.remarksHindi = remarksHindi;
	}

	public List<String> getBankRemarksHindi() {
		return bankRemarksHindi;
	}

	public void setBankRemarksHindi(List<String> bankRemarksHindi) {
		this.bankRemarksHindi = bankRemarksHindi;
	}

	public List<String> getScrutinyRemarksHindi() {
		return scrutinyRemarksHindi;
	}

	public void setScrutinyRemarksHindi(List<String> scrutinyRemarksHindi) {
		this.scrutinyRemarksHindi = scrutinyRemarksHindi;
	}

	public List<String> getStatementsHindi() {
		return statementsHindi;
	}

	public void setStatementsHindi(List<String> statementsHindi) {
		this.statementsHindi = statementsHindi;
	}

	public String getStatementId() {
		return statementId;
	}

	public void setStatementId(String statementId) {
		this.statementId = statementId;
	}

	public String getApplicableFor() {
		return applicableFor;
	}

	public void setApplicableFor(String applicableFor) {
		this.applicableFor = applicableFor;
	}

	public String getStatementType() {
		return statementType;
	}

	public void setStatementType(String statementType) {
		this.statementType = statementType;
	}

	public String getStatementTableIOInput() {
		return statementTableIOInput;
	}

	public void setStatementTableIOInput(String statementTableIOInput) {
		this.statementTableIOInput = statementTableIOInput;
	}

	public String getAuditGroupCode() {
		return auditGroupCode;
	}

	public void setAuditGroupCode(String auditGroupCode) {
		this.auditGroupCode = auditGroupCode;
	}

	public String getAuditGroupName() {
		return auditGroupName;
	}

	public void setAuditGroupName(String auditGroupName) {
		this.auditGroupName = auditGroupName;
	}

	public String getAuditSubGroupCode() {
		return auditSubGroupCode;
	}

	public void setAuditSubGroupCode(String auditSubGroupCode) {
		this.auditSubGroupCode = auditSubGroupCode;
	}

	public String getAuditSubGroupName() {
		return auditSubGroupName;
	}

	public void setAuditSubGroupName(String auditSubGroupName) {
		this.auditSubGroupName = auditSubGroupName;
	}

	public String getActivityCode() {
		return activityCode;
	}

	public void setActivityCode(String activityCode) {
		this.activityCode = activityCode;
	}

	public String getActivityName() {
		return activityName;
	}

	public void setActivityName(String activityName) {
		this.activityName = activityName;
	}

	public String getProcessCode() {
		return processCode;
	}

	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	public String getProcessName() {
		return processName;
	}

	public void setProcessName(String processName) {
		this.processName = processName;
	}
 
}
